%define api_version 1.5
%define pkg_name geronimo-j2ee-connector_%{api_version}_spec
%define subrel 1
Name:          geronimo-j2ee-connector-1_5-api
Version:       2.0.0
Release:       %mkrel 4
Summary:       J2EE Connector 1.5
License:       Apache Software License 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-j2ee-connector_1.5_spec-2.0.0http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-j2ee-connector_1.5_spec-2.0.0
# tar czf geronimo-j2ee-connector_1.5_spec-2.0.0-src-svn.tar.gz geronimo-j2ee-connector_1.5_spec-2.0.0
Source0:       %{pkg_name}-%{version}-src-svn.tar.gz
BuildRequires: geronimo-jta
BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: maven-local
Requires:      geronimo-jta
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo J2EE Connector 1.5 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo J2EE Connector 1.5 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.txt.conv && mv -f LICENSE.txt.conv LICENSE.txt
sed -i 's/\r//' LICENSE.txt


%build
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-j2ee-connector-%{api_version}-api.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-j2ee-connector-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-j2ee-connector-%{api_version}-api.pom geronimo-j2ee-connector-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-j2ee-connector-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-j2ee-connector-%{api_version}-api

%files
%{_javadir}/geronimo-j2ee-connector-1.5-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/geronimo-j2ee-connector-%{api_version}-api



%changelog
* Sat May 16 2015 neoclust <neoclust> 2.0.0-4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 luigiwalser <luigiwalser> 2.0.0-4.mga4
+ Revision: 516031
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 2.0.0-2.mga3
+ Revision: 356372
- Build with maven3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 dmorgan <dmorgan> 2.0.0-1.mga2
+ Revision: 132817
- Clean spec file

  + gil <gil>
    - imported package geronimo-j2ee-connector-1_5-api



* Fri Jun 10 2011 gil <gil> 2.0.0-0.%%mkrel
- initial rpm